<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Sessions">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="A session task is an action that you can perform within the active session. " /><title>Session Tasks</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#09-sessions/session-tasks.html">Open topic with navigation</a>
        </p>
        <h1>Session Tasks</h1>
        <p>A session task is an action that you can perform within the active session. For example, an action enables you to collect evidence, access the file system, run a command shell, and create a pivot through the compromised host.
</p>
        <p data-mc-conditions="Pro_Help_Conditions.OnlineOnly">Tasks that you can perform include the following: </p>
        <ul>
            <li value="1" data-mc-conditions="Pro_Help_Conditions.OnlineOnly"><a href="interacting-command-shell-session.html" target="_self">Interact with command shell sessions.</a>
            </li>
            <li value="2" data-mc-conditions="Pro_Help_Conditions.OnlineOnly"><a href="interacting-meterpreter-sessions.html" target="_self">Interact with Meterpreter sessions.</a>
            </li>
            <li value="3" data-mc-conditions="Pro_Help_Conditions.OnlineOnly"><a href="creating-proxy-pivot.html" target="_self">Create a proxy pivot.</a>
            </li>
            <li value="4" data-mc-conditions="Pro_Help_Conditions.OnlineOnly"><a href="vpn-pivot.html" target="_self">Create a VPN pivot.</a>
            </li>
            <li value="5" data-mc-conditions="Pro_Help_Conditions.OnlineOnly"><a href="opening-vnc-sessions.html" target="_self">Open a VNC session.</a>
            </li>
            <li value="6" data-mc-conditions="Pro_Help_Conditions.OnlineOnly"><a href="accessing-file-systems.html" target="_self">Access a file system.</a>
            </li>
            <li value="7" data-mc-conditions="Pro_Help_Conditions.OnlineOnly"><a href="uploading-files-to-file-system.html" target="_self">Upload files to a remote file system.</a>
            </li>
            <li value="8" data-mc-conditions="Pro_Help_Conditions.OnlineOnly"><a href="searching-file-systems.html" target="_self">Search through a file system.</a>
            </li>
        </ul>
    </body>
</html>